> For the complete documentation index, see [llms.txt](https://docs.0resmon.org/0resmon/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.0resmon.org/0resmon/0resmon-1/wais-resoucres/wais-speaker-boombox/exports/client.md).

# Client

***

## GetSpeaker

<pre class="language-lua"><code class="lang-lua"><strong>local speaker = exports["wais-speaker"]:GetSpeaker(netId)
</strong></code></pre>

* netId: `number`
  * The entity to which the sound is linked NetworkId

Return:

* src: `string`
  * The YouTube video ID of the music being played. Example: `YPuSGGPkMT8.mp3`
* volume: `float`
  * The volume of the song
  * min: `0.1`
  * max: `1.0`
* loop?: `boolean`
  * Default: `false`
* rate?: `float`
  * Default: `1.0`
* distance: `float`
  * The maximum distance the sound can be heard.
* duration: `float`
  * The current duration of the song.
* maxDuration: `float`
  * The maximum length of the song. <sub>*(Second)*</sub>
* play: `boolean`
  * If the song is playing, `true`; otherwise, `false`
* isVehicle: `boolean`
  * If the song is linked to the entity vehicle, then `true`, otherwise `false`

***

## OpenMenu

```lua
exports["wais-speaker"]:openMenu(size)
```

* size: `string`
  * The size of the menu that will open.
  * Types: `small` , `large`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/wais-resoucres/wais-speaker-boombox/exports/client.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
